<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateForeignKeys extends Migration {

	public function up()
	{
		Schema::table('T_SHIPPING_ADDRESSES', function(Blueprint $table) {
			$table->foreign('USER_ID')->references('ID')->on('T_SYSTEM_USER')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
	}

	public function down()
	{
		Schema::table('T_SHIPPING_ADDRESSES', function(Blueprint $table) {
			$table->dropForeign('T_SHIPPING_ADDRESSES_USER_ID_foreign');
		});
	}
}